function getParameterByName( name ){
    var regexS = "[\\?&]"+name+"=([^&#]*)",
  regex = new RegExp( regexS ),
  results = regex.exec( window.location.search );
  if( results == null ){
    return "";
  } else{
    return decodeURIComponent(results[1].replace(/\+/g, " "));
  }
}

function getFragmentParameterByName(name) {
  const hash = window.location.hash.substring(1); // remove leading '#'
  const fragments = hash.split('&').filter(keyValue => keyValue.indexOf(name) > -1 );
  if(fragments.length === 0) {
    return null; 
  } else {
    return decodeURIComponent(fragments[0].split('=')[1]);
  }
}

var error = getParameterByName('error');
var error_desc = getParameterByName('error_description');
var code =  getParameterByName('code') || getFragmentParameterByName('access_token');


var retObj = {
  msg : 'oauth'
};

if(code){
  retObj.authorization_code = code;
}

if(error || error_desc){
  retObj.error = decodeURIComponent(error) + ' | ' + decodeURIComponent(error_desc);
}

if (retObj.authorization_code || retObj.error) {
  chrome.runtime.sendMessage({ oauth : true, data : retObj }, function(){
    // message arrived in grabber
    window.close();
  });
}



