function initImageGrabber() {
  function addClickToImages() {
    document.body.removeEventListener('DOMSubtreeModified', addClickToImages);
    $('.rg_l:not(.snapped)').addClass('snapped').attr('href', 'javascript:void(0);').unbind('click').bind('click', function () {
      // img href
      var imageHref = $(this).find('img').attr('src');
      chrome.runtime.sendMessage({ msg: 'pushImage', imgRef: imageHref });

      chrome.runtime.sendMessage({ closeTab: true });
    });

    if ($('#gs_st0')) $('#gs_st0').remove();
    if ($('#hdtbSum')) $('#hdtbSum').remove();
    if ($('#gb_70')) $('#gb_70').parent().parent().parent().parent().parent().parent().parent().remove();

    if ($('#topstuff')) $('#topstuff').html(chrome.i18n.getMessage('imageGrabberInstruction')).attr('style', 'text-align:center; font-size:2.5em; padding: 40px 0 50px;');
    document.body.addEventListener('DOMSubtreeModified', addClickToImages);
  }

  addClickToImages();
}


var SESSIONSTORAGE_KEY = 'is_snapaddy_search';
var is_snapaddy_search = JSON.parse(window.sessionStorage.getItem(SESSIONSTORAGE_KEY));

if (window.location.href.indexOf('snapaddy=imagegrabber') > -1 || is_snapaddy_search) {
  window.sessionStorage.setItem(SESSIONSTORAGE_KEY, JSON.stringify(true));
  var interval = setInterval(function () {
    if ($('.rg_l').length > 0) {
      clearInterval(interval);
      initImageGrabber();
    }
  }, 100);
}
