function getParameterByName( name ){
    var regexS = "[\\?&]"+name+"=([^&#]*)", 
  regex = new RegExp( regexS ),
  results = regex.exec( window.location.search );
  if( results == null ){
    return "";
  } else{
    return decodeURIComponent(results[1].replace(/\+/g, " "));
  }
}

var token = getParameterByName('oauth_token');
var verifier = getParameterByName('oauth_verifier');
var error = getParameterByName('xing_error');

var retObj = {
  msg : 'xing_oauth'
};

if(error){
  retObj.error = error;
} else {
  retObj.oauthToken = token;
  retObj.oauthVerifier = verifier;
}

chrome.runtime.sendMessage({ oauth : true, data : retObj }, function(){
  // message arrived in grabber
  window.close();
});


