'use strict';

var app = angular.module('app', []);

app.config(function () {
  //
});

app.controller('SimpleController', function ($scope, $http) {
  // Listen to background page events
  if (chrome.extension.connect) {
    var port = chrome.extension.connect({
      name: 'Sample Communication'
    });
  }

  // receive message from background
  chrome.runtime.onMessage.addListener(
    function (request) {
      if (request.toSnap) {
        console.log('To snap: ');
        console.log(request.toSnap);
        $http.post('http://Rap:Daddy@188.166.1.228/api/getAddresses', {
          text: request.toSnap
        }).success(function (addresses) {
          console.log(addresses[0]);
          $scope.snap.addresses.push(addresses[0]);
          $scope.snap.loadingIndicator = '';
        });
      }
    });
  // communicate to background page, that popup is ready and listenening to messages
  chrome.runtime.sendMessage({ newPopupReady: true });

  $scope.snap = {
    loadingIndicator: 'Loading',
    addresses: []
  };
});
